Delete project machine grant
curl --request DELETE \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-grants/{grantID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-grants/{grantID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-grants/{grantID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Machines
Delete project machine grant
Removes the project’s access to the machine. Processes that depended on the grant are stopped. The machine itself is retained, and there are no dependency blockers.
DELETE
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
machine-grants
/
{grantID}
Delete project machine grant
Authorizations
bearerAuthbrowserSessionCookie & csrfHeader
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Pattern:
^pmg_[a-z2-7]{26}$Response
Project machine grant deleted.
⌘I